GET
/api/v1/container_registry/token/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/token/?project_name=<PROJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/container_registry/token/", params={"project_name": "<PROJECT_NAME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/container_registry/token/");url.search = new URLSearchParams({ project_name: "<PROJECT_NAME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
project_name
required
integer
Container Registry name
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”List of credential tokens fetched successfully.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
duration
integer
creation_time
string format: date-time
expires_at
string format: date-time
state
string
access_list
string
errors
object
key
additional properties
message
string
Example
{ "code": 200, "data": [ { "id": 24, "name": "<token_name>", "description": "This token will never expire.", "duration": -1, "creation_time": "2025-04-29T12:16:28.842000Z", "expires_at": "1969-12-31T23:59:59Z", "state": "enabled", "access_list": [ "pull", "push" ] } ], "errors": {}, "message": "Success"}